## metakernel 0.27.1

=== metakernel_python/Makefile ===
.PHONY: all test

test:
	python setup.py install --user
	ipython console --kernel=metakernel_python

all:
	python setup.py register
	python setup.py sdist --formats=gztar,zip upload

## metakernel 0.27.0

=== debian/changelog ===
metakernel (0.27.0-1) unstable; urgency=medium

  * Initial release, closes: #969620.
  * use local intersphinx inventory.
  * configure autopkgtest to run upstream's test-suite
  * set HOME for running upstream test suite.
  * [181aedf] install documentation in /u/s/d/python3-metakernel/
  * [12a0e3e] replace static files copied from python3-sphinx-bootstrap-theme
    with symlinks
  * [5b197d4] remove badges from docs to eliminate privacy breaches; note
    that examples were left as-is.

 -- Joseph Nahmias <jello@debian.org>  Sun, 04 Oct 2020 21:25:33 -0400

=== debian/control ===
Source: metakernel
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Joseph Nahmias <jello@debian.org>
Build-Depends: debhelper-compat (= 13), dh-python, python3-all,
 python3-setuptools, python3-ipykernel, python3-pexpect, python3-ipyparallel,
 python3-sphinx, python3-ipython, python3-pypandoc, python3-sphinx-rtd-theme,
 python3-nbsphinx, python3-recommonmark, python3-requests,
 python3-sphinx-bootstrap-theme, python3-numpydoc, python2-doc,
 python3-pytest, python3-pytest-cov
Standards-Version: 4.5.0
Homepage: https://github.com/Calysto/metakernel
Vcs-Git: https://salsa.debian.org/python-team/modules/metakernel.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/metakernel
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: python3-metakernel
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, jupyter-notebook
Recommends: python3-pydot
Description: Jupyter kernel base class
 A Jupyter kernel base class in Python which includes core magic
 functions (including help, command and file path completion,
 parallel and distributed processing, downloads, and much more).
 .
 This package installs the library.

Package: python-metakernel-doc
Section: doc
Architecture: all
Depends: python3-sphinx-bootstrap-theme, ${sphinxdoc:Depends}, ${misc:Depends}
Description: Jupyter kernel base class (documentation)
 A Jupyter kernel base class in Python which includes core magic
 functions (including help, command and file path completion,
 parallel and distributed processing, downloads, and much more).
 .
 This package installs the HTML documentation.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=metakernel
export PYBUILD_VERBOSE=1

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

export PYBUILD_BEFORE_TEST=touch {home_dir}/.bashrc; \
  PYTHONPATH={build_dir}/metakernel_python \
  IPYTHONDIR={home_dir}/.ipython ipcluster start -n=3 --daemonize
export PYBUILD_AFTER_TEST=IPYTHONDIR={home_dir}/.ipython ipcluster stop

override_dh_auto_build:
	dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=./metakernel_python/ python3 generate_help.py
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html
	# replace static files copied from python3-sphinx-bootstrap-theme with symlinks
	find build/html/_static/ -type f -print0 | xargs -0 -L 1 debian/test_and_link.sh
endif

override_dh_installdocs:
	dh_installdocs --package=python3-metakernel
	dh_installdocs --package=python-metakernel-doc --doc-main-package=python3-metakernel

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.rst

=== debian/tests/control ===
Tests: upstream
Depends: python3-metakernel, python3-pytest, python3-pytest-cov

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%metakernel-$1.tar.gz%" \
   https://github.com/Calysto/metakernel/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## metakernel 0.27.1

=== debian/changelog ===
metakernel (0.27.1-1) unstable; urgency=medium

  * [28794c7] New upstream version 0.27.1
  * [801da81] add missing deps for upstream testsuite
  * [14fcc15] ensure ipcluster uses same pyversion as pytest
  * [52cbe79] enable diffoscope for salsa-ci reprotest
  * [aa8db15] add man-db dep for upstream testsuite
  * [f99f8f7] update Vcs URLs for DPT transition
  * [1bf7e4f] d/watch: do not run uupdate
  * [f7bdcec] don't build documentation if nodoc is requested
  * [1c85491] annotate Build-Deps for nodoc and nocheck DEB_BUILD_PROFILES

 -- Joseph Nahmias <jello@debian.org>  Wed, 04 Nov 2020 16:18:32 -0500

=== debian/tests/control ===
Tests: upstream
Depends: python3-metakernel, python3-pytest, python3-pytest-cov,
 python3-ipyparallel, python3-requests, man-db

## metakernel 0.27.4

=== debian/changelog ===
metakernel (0.27.4-1) unstable; urgency=medium

  * [9851333] New upstream version 0.27.4
  * [adf687c] drop patch for SOURCE_DATE_EPOCH, merged upstream

 -- Joseph Nahmias <jello@debian.org>  Sat, 07 Nov 2020 22:30:26 -0500

metakernel (0.27.1-2) unstable; urgency=medium

  * [c1f231d] add allow-stderr for upstream testsuite
  * [c3bca2d] add support for SOURCE_DATE_EPOCH.
    Thanks to Chris Lamb <lamby@debian.org> (Closes: 973806)

 -- Joseph Nahmias <jello@debian.org>  Thu, 05 Nov 2020 22:25:38 -0500

## metakernel 0.27.5

=== Makefile ===
# Note: This is meant for Metakernel developer use only
.PHONY: all clean test test_warn cover release help

export NAME=`python setup.py --name 2>/dev/null`
export VERSION=`python setup.py --version 2>/dev/null`


all: install

install: clean
	pip install  --upgrade --upgrade-strategy eager -e .[parallel,activity,test]
	pip install ./metakernel_python
	python -m metakernel_python install --user
	pip install ./metakernel_echo
	python -m metakernel_echo install --user

clean:
	rm -rf build dist
	/usr/bin/find . -name "*.pyc" -o -name "*.py,cover"| xargs rm -f

test: clean
	ipcluster start -n=3 &
	pytest
	ipcluster stop
	make clean

test_warn: clean
	ipcluster start -n=3 &
	export PYTHONWARNINGS="all"
	pytest
	ipcluster stop
	make clean

cover: clean
	ipcluster start -n=3 &
	pytest --cov=$(NAME)
	ipcluster stop
	coverage annotate

release:
	pip install wheel twine
	rm -rf dist build
	python setup.py bdist_wheel --universal
	python setup.py sdist
	git commit -a -m "Release $(VERSION)"; true
	git tag v$(VERSION)
	git push origin --all
	git push origin --tags
	twine upload dist/*

docs: clean
	pip install -r docs/requirements.txt
	make -C docs html

help:
	python generate_help.py

=== docs/requirements.txt ===
metakernel
IPython
pypandoc
sphinx_rtd_theme
nbsphinx
jupyter_sphinx
sphinxcontrib-napoleon
recommonmark
requests
sphinx_bootstrap_theme
numpydoc

=== metakernel_echo/Makefile ===
.PHONY: all test


test:
	python setup.py install --user
	ipython console --kernel=metakernel_echo

all:
	python setup.py register
	python setup.py sdist --formats=gztar,zip upload

=== debian/changelog ===
metakernel (0.27.5-3) unstable; urgency=medium

  * Team upload.
  * pytest: set cache_dir
  * debian/{control,rules}: modernize with dh-sequence-* and
    execute_after_*

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 19 Oct 2021 18:16:35 +0200

metakernel (0.27.5-2) unstable; urgency=medium

  * Team upload.
  * Add build-dep on cmake
  * {autopkg,}tests: Adjust location of metakernel_python. Closes: #995736
  * Standards-Version: 4.6.0 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Append ":any" to python3 build-dep to facilitate cross-building.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 16 Oct 2021 11:19:18 +0200

metakernel (0.27.5-1) unstable; urgency=medium

  * [21a1519] New upstream version 0.27.5

 -- Joseph Nahmias <jello@debian.org>  Sat, 14 Nov 2020 19:02:40 -0500

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,31 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Joseph Nahmias <jello@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-python, python3-all,
- python3-setuptools, python3-ipykernel, python3-pexpect, python3-ipyparallel,
- python3-sphinx, python3-ipython, python3-pypandoc, python3-sphinx-rtd-theme,
- python3-nbsphinx, python3-recommonmark, python3-requests,
- python3-sphinx-bootstrap-theme, python3-numpydoc, python2-doc,
- python3-pytest, python3-pytest-cov
-Standards-Version: 4.5.0
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ python3-all:any,
+ python3-setuptools,
+ python3-ipython <!nodoc> <!nocheck>,
+ python3-ipykernel <!nodoc> <!nocheck>,
+ python3-sphinx <!nodoc>,
+ dh-sequence-sphinxdoc <!nodoc>,
+ python3-sphinx-bootstrap-theme <!nodoc>,
+ python2-doc <!nodoc>,
+ python3-nbsphinx <!nodoc>,
+ python3-numpydoc <!nodoc>,
+ python3-pypandoc <!nodoc>,
+ python3-recommonmark <!nodoc>,
+ python3-pytest <!nocheck>,
+ python3-pytest-cov <!nocheck>,
+ python3-pexpect <!nocheck>,
+ python3-ipyparallel <!nocheck>,
+ python3-requests <!nocheck>,
+ cmake
+Standards-Version: 4.6.0
 Homepage: https://github.com/Calysto/metakernel
-Vcs-Git: https://salsa.debian.org/python-team/modules/metakernel.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/metakernel
+Vcs-Git: https://salsa.debian.org/python-team/packages/metakernel.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/metakernel
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python

=== debian/rules ===
--- 
+++ 
@@ -5,18 +5,19 @@
 
 export PYBUILD_NAME=metakernel
 export PYBUILD_VERBOSE=1
+export PYBUILD_TEST_ARGS=-o cache_dir=$(CURDIR)/.pytest-cache
+export PYBUILD_BEFORE_TEST=touch {home_dir}/.bashrc; mkdir $(CURDIR)/.pytest-cache ; \
+    PYTHONPATH={dir}/metakernel_python \
+    IPYTHONDIR={home_dir}/.ipython \
+    {interpreter} /usr/bin/ipcluster start -n=3 --daemonize
+export PYBUILD_AFTER_TEST=IPYTHONDIR={home_dir}/.ipython ipcluster stop ; \
+	rm -Rf $(CURDIR)/.pytest-cache
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
-export PYBUILD_BEFORE_TEST=touch {home_dir}/.bashrc; \
-  PYTHONPATH={build_dir}/metakernel_python \
-  IPYTHONDIR={home_dir}/.ipython ipcluster start -n=3 --daemonize
-export PYBUILD_AFTER_TEST=IPYTHONDIR={home_dir}/.ipython ipcluster stop
-
-override_dh_auto_build:
-	dh_auto_build
-ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+execute_after_dh_auto_build:
+ifeq (,$(filter nodoc,${DEB_BUILD_OPTIONS} ${DEB_BUILD_PROFILES}))
 	PYTHONPATH=./metakernel_python/ python3 generate_help.py
 	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html
 	# replace static files copied from python3-sphinx-bootstrap-theme with symlinks

=== debian/tests/control ===
Tests: upstream
Depends: python3-metakernel, python3-pytest, python3-pytest-cov,
 python3-ipyparallel, python3-requests, man-db
Restrictions: allow-stderr

## metakernel 0.29.4

=== docs/requirements.txt ===
--- 
+++ 
@@ -9,3 +9,4 @@
 requests
 sphinx_bootstrap_theme
 numpydoc
+myst-parser

=== metakernel_python/Makefile ===
.PHONY: test

test:
	pip install -e .
	ipython console --kernel=metakernel_python

=== debian/changelog ===
metakernel (0.29.4-1) unstable; urgency=medium

  * [6aed1f6] drop dep on jupyter-notebook (Closes: #1004668)
  * [dac6a53] reformat test-deps to one per line
  * [022e1b4] drop python3-pytest-cov, unneeded for Debian
  * [0571426] run autopkgtest against all python versions
  * [73b7286] New upstream version 0.29.4
  * [8e5268c] follow upstream's move to pyproject/hatchling build system
  * [457da0c] resync patches
  * [9b0bdf5] handle move of generate_help.py script
  * [552858b] add new build-deps; sort list
  * [fcd5a32] drop script to create logos -- it has missing deps and is
    confusing pytest, causing build/test failures
  * [61448be] do not fail build/test on DeprecationWarning
  * [b2bbc24] skip flaky parallel_magic test (Closes: #1026469)
  * [a4ec5c3] pytest-cache -> pytest_cache; put pytest_cache in
    interpreter-specific dir
  * [c6aeea6] follow upstream's renaming of HISTORY.rst -> CHANGELOG.md
  * [acded1b] switch to autopkgtest-pkg-pybuild
  * [eb1c899] require at least version 5.20221230 of pybuild-plugin-pyproject
    test_path_completions fails without commit 3b1ad734.
  * [c8df9e2] bump copyright year

 -- Joseph Nahmias <jello@debian.org>  Sun, 01 Jan 2023 17:03:56 -0500

metakernel (0.27.5-4) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Boyuan Yang ]
  * debian/control: s/python2-doc/python3-doc. (Closes: #1011132)
  * debian/control: Bump Standards-Version to 4.6.1.

 -- Boyuan Yang <byang@debian.org>  Mon, 08 Aug 2022 11:53:04 -0400

=== debian/control ===
--- 
+++ 
@@ -6,34 +6,35 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject (>= 5.20221230~),
  python3-all:any,
- python3-setuptools,
+ python3-hatchling,
+ python3-ipykernel <!nodoc> <!nocheck>,
  python3-ipython <!nodoc> <!nocheck>,
- python3-ipykernel <!nodoc> <!nocheck>,
- python3-sphinx <!nodoc>,
+ python3-jupyter-kernel-test <!nocheck>,
+ python3-pexpect <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-pytest-timeout <!nocheck>,
+ python3-requests <!nocheck>,
  dh-sequence-sphinxdoc <!nodoc>,
- python3-sphinx-bootstrap-theme <!nodoc>,
- python2-doc <!nodoc>,
+ python3-doc <!nodoc>,
+ python3-myst-parser <!nodoc>,
  python3-nbsphinx <!nodoc>,
  python3-numpydoc <!nodoc>,
  python3-pypandoc <!nodoc>,
  python3-recommonmark <!nodoc>,
- python3-pytest <!nocheck>,
- python3-pytest-cov <!nocheck>,
- python3-pexpect <!nocheck>,
- python3-ipyparallel <!nocheck>,
- python3-requests <!nocheck>,
- cmake
-Standards-Version: 4.6.0
+ python3-sphinx <!nodoc>,
+ python3-sphinx-bootstrap-theme <!nodoc>,
+Standards-Version: 4.6.1
 Homepage: https://github.com/Calysto/metakernel
 Vcs-Git: https://salsa.debian.org/python-team/packages/metakernel.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/metakernel
 Rules-Requires-Root: no
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-metakernel
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, jupyter-notebook
+Depends: ${python3:Depends}, ${misc:Depends}
 Recommends: python3-pydot
 Description: Jupyter kernel base class
  A Jupyter kernel base class in Python which includes core magic

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=metakernel
export PYBUILD_VERBOSE=1
export PYBUILD_TEST_ARGS=-o cache_dir={home_dir}/.pytest_cache $${{PYBUILD_AUTOPKGTEST:+/usr/lib/python3/dist-packages/metakernel}}
export PYBUILD_BEFORE_TEST=touch {home_dir}/.bashrc && mkdir {home_dir}/.pytest_cache
export PYBUILD_AFTER_TEST=rm -rf {home_dir}/.pytest_cache

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
ifeq (,$(filter nodoc,${DEB_BUILD_OPTIONS} ${DEB_BUILD_PROFILES}))
	PYTHONPATH=. python3 docs/generate_help.py
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html
	# replace static files copied from python3-sphinx-bootstrap-theme with symlinks
	find build/html/_static/ -type f -print0 | xargs -0 -L 1 debian/test_and_link.sh
endif

override_dh_installdocs:
	dh_installdocs --package=python3-metakernel
	dh_installdocs --package=python-metakernel-doc --doc-main-package=python3-metakernel

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

=== debian/watch ===
--- 
+++ 
@@ -6,4 +6,4 @@
 # GitHub hosted projects
 opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%metakernel-$1.tar.gz%" \
    https://github.com/Calysto/metakernel/tags \
-   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
+   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## metakernel 0.30.2

=== debian/changelog ===
metakernel (0.30.2-7) unstable; urgency=medium

  * Team upload.
  * Add fix-docstring-indentation-check.patch and
    fix-replwrap-test-error-py313.patch to fix autopkgtest
    failures in Python 3.13. (Closes: #1088753)

 -- Yogeswaran Umasankar <yogu@debian.org>  Thu, 05 Dec 2024 05:45:44 +0000

metakernel (0.30.2-6) unstable; urgency=medium

  * Team upload.
  * d/rules: skip test_ls_path_complete in test_replwrap.py, new
    regression blocking migration to testing, not reproducible.

 -- Yogeswaran Umasankar <yogu@debian.org>  Tue, 13 Aug 2024 19:30:00 +0000

metakernel (0.30.2-5) unstable; urgency=medium

  * Team upload.
  * d/rules: skip tests in test_replwrap.py, regression not
    reproducible.

 -- Yogeswaran Umasankar <yogu@debian.org>  Tue, 13 Aug 2024 03:00:00 +0000

metakernel (0.30.2-4) unstable; urgency=medium

  * Team upload.
  * d/rules: skip few tests in autopkgtest, regression not
    reproducible.

 -- Yogeswaran Umasankar <yogu@debian.org>  Fri, 09 Aug 2024 13:50:00 +0000

metakernel (0.30.2-3) unstable; urgency=medium

  * Team upload.
  * d/control: Bumped Standards-Version to 4.7.0.

 -- Yogeswaran Umasankar <yogu@debian.org>  Mon, 05 Aug 2024 23:15:00 +0000

metakernel (0.30.2-2) unstable; urgency=medium

  * Team upload.
  * d/rules: skip test_existing_spawn on ppc64el due to known failure.

 -- Yogeswaran Umasankar <yogu@debian.org>  Sun, 14 Jul 2024 23:30:00 +0000

metakernel (0.30.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.30.2.
  * Updated old patches for the new upstream version.
  * d/control: cmake and meson added to Build-Depends +
    ${python3:Depends} added to python-metakernel-doc depends.
  * Added add-missing-shebang-in-testfile.patch.

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Fri, 12 Apr 2024 00:45:00 +0000

metakernel (0.30.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.30.1. (Closes: #1028982)
  * Updated old patches for the new upstream version.
  * Bumped Standards-Version to 4.6.2 in d/control.

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Wed, 31 Jan 2024 19:30:00 +0000

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,8 @@
  pybuild-plugin-pyproject (>= 5.20221230~),
  python3-all:any,
  python3-hatchling,
+ cmake,
+ meson,
  python3-ipykernel <!nodoc> <!nocheck>,
  python3-ipython <!nodoc> <!nocheck>,
  python3-jupyter-kernel-test <!nocheck>,
@@ -25,7 +27,7 @@
  python3-recommonmark <!nodoc>,
  python3-sphinx <!nodoc>,
  python3-sphinx-bootstrap-theme <!nodoc>,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/Calysto/metakernel
 Vcs-Git: https://salsa.debian.org/python-team/packages/metakernel.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/metakernel
@@ -46,7 +48,7 @@
 Package: python-metakernel-doc
 Section: doc
 Architecture: all
-Depends: python3-sphinx-bootstrap-theme, ${sphinxdoc:Depends}, ${misc:Depends}
+Depends: python3-sphinx-bootstrap-theme, ${sphinxdoc:Depends}, ${misc:Depends}, ${python3:Depends}
 Description: Jupyter kernel base class (documentation)
  A Jupyter kernel base class in Python which includes core magic
  functions (including help, command and file path completion,

## metakernel 0.30.3

=== docs/requirements.txt ===
--- 
+++ 
@@ -10,3 +10,4 @@
 sphinx_bootstrap_theme
 numpydoc
 myst-parser
+pydot

=== debian/changelog ===
metakernel (0.30.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.30.3.
  * d/control: bump Standards-Version to 4.7.2.

 -- Yogeswaran Umasankar <yogu@debian.org>  Fri, 04 Apr 2025 20:13:29 +0000

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
  python3-recommonmark <!nodoc>,
  python3-sphinx <!nodoc>,
  python3-sphinx-bootstrap-theme <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/Calysto/metakernel
 Vcs-Git: https://salsa.debian.org/python-team/packages/metakernel.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/metakernel

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,9 @@
 
 export PYBUILD_NAME=metakernel
 export PYBUILD_VERBOSE=1
-export PYBUILD_TEST_ARGS=-o cache_dir={home_dir}/.pytest_cache $${{PYBUILD_AUTOPKGTEST:+/usr/lib/python3/dist-packages/metakernel}}
+# Skip tests in test_replwrap.py, causing autopkgtest regression, while regression not reproducable in porterbox and local system.
+export PYBUILD_TEST_ARGS=-o cache_dir={home_dir}/.pytest_cache $${{PYBUILD_AUTOPKGTEST:+/usr/lib/python3/dist-packages/metakernel}} \
+	-k 'not test_existing_spawn and not test_multiline and not test_bracketed_paste and not test_ls_path_complete'
 export PYBUILD_BEFORE_TEST=touch {home_dir}/.bashrc && mkdir {home_dir}/.pytest_cache
 export PYBUILD_AFTER_TEST=rm -rf {home_dir}/.pytest_cache

## metakernel 0.30.4

=== debian/changelog ===
metakernel (0.30.4-1) unstable; urgency=medium

  * New upstream version 0.30.4
  * update patches for new version
  * add pydot to test-depends

 -- Joseph Nahmias <jello@debian.org>  Sun, 07 Dec 2025 20:19:34 -0500

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  python3-hatchling,
  cmake,
  meson,
+ python3-pydot <!nodoc> <!nocheck>,
  python3-ipykernel <!nodoc> <!nocheck>,
  python3-ipython <!nodoc> <!nocheck>,
  python3-jupyter-kernel-test <!nocheck>,
